Skip to content

Lunar Return

POST
/api/calc/lunar-return

Calculate the lunar return chart when the Moon returns to its natal position.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
"birthDateTime": "string",
"birthLocation": {
"longitude": 0,
"latitude": 0,
"timezone": "string"
},
"returnDate": "string",
"houseSystem": "placidus",
"language": "en",
"includeText": false,
"includeReadableEntities": false,
"points": [
"string"
],
"orbs": {
"additionalProperties": 0
}
}

Responses

Calculate lunar return chart

application/vnd.api+json
JSON
{
"data": {
"returnDate": "string",
"aspects": [
{
"pointA": "string",
"pointB": "string",
"aspect": "string",
"angle": 0,
"orb": 0,
"applying": true,
"text": "string"
}
],
"points": {
"additionalProperties": {
}
},
"houses": {
"cusps": [
0
],
"ascmc": [
0
]
},
"charts": {
"additionalProperties": {
}
}
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation